.card {
    overflow-x: auto;
    padding: 5px;
}
.card-primary {
    overflow-x: unset;
}
.card .pagination {
    margin: 0;
    gap: 5px;
}
.card .card-body .form-inline .input-group {
    padding-bottom: 0.25rem;
}

.sidebar .nav-treeview .nav-item {
    margin: 10px 5px;
}
.main-sidebar .sidebar {
    min-height: 700px;
}

@media (max-width: 992px) {
    body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-header {
        margin-left: 250px;
    }
    body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .content-wrapper {
        margin-left: 250px;
    }
    .content-wrapper .row.text-center.retail {
        padding: 10px !important;
        margin: 0;
    }

    #frm-create-voucher-batch .tab-content .tab-pane .input-group .input-group-prepend .input-group-text{
        width: 240px;
    }
}

@media (max-width: 480px) {
    body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .main-header {
        margin-left: 120px;
    }
    body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .content-wrapper {
        margin-left: 120px;
    } 
    .main-sidebar {
        width: 120px;
    }
    .main-sidebar .sidebar {
        text-align: center;
        padding-left: 0.25rem;
        padding-right: 0.25rem
    }
    .main-sidebar a.brand-link {
        display: grid;
        align-items: center;
        justify-content: center;
    } 
    .main-sidebar a.brand-link img.brand-image {
        margin-left: auto;
        margin-right: auto;
    }
    .main-sidebar .sidebar .nav-item a.nav-link {
        display: grid;
        justify-content: center;
        padding: 0.5rem 0;
    }
    .main-sidebar .sidebar .nav-item a.nav-link i.nav-icon {
        margin-left: auto;
        margin-right: auto;
    }
    .main-sidebar .sidebar .nav-item a.nav-link i.right {
        right: 6px;
        top: 8px;
    }
    .main-sidebar .sidebar .user-panel {
        display: grid !important;
        align-items: center;
        justify-content: center;
    }
    .main-sidebar .sidebar .user-panel div.image {
        padding: 0;
    }
    .main-sidebar .sidebar .user-panel div.info {
        padding-left: 0;
        padding-right: 0;
    }
    .card .card-footer .btn-primary {
        margin-bottom: 0.25rem;
    }
    .content-wrapper .text-center .btn-primary {
        margin-bottom: 0.25rem;
    }
    .card form .form-group.text-right {
        display: grid;
        align-items: center;
        justify-content: center;
        gap: 5px;
    }
    .card form .form-group.text-right a.btn-default {
        margin-right: 0 !important;
    }
    .card .card-body {
        padding: 5px;
    }
    h2 {
        font-size: 26px;
    }
    .sidebar-search .input-group {
        position: relative;
    }
    .sidebar-search .input-group .input-group-append {
        position: absolute;
        right: 0;
        top: 10%;
        z-index: 9;
    }
    .sidebar-search .input-group .input-group-append .btn-sidebar {
        background: transparent;
        border: none;
        padding: 4px;
    }
    .sidebar-search .input-group:not(.has-validation)>.form-control.form-control-sidebar:not(:last-child) {
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
    }

    #frm-create-voucher-batch .tab-content .tab-pane .input-group {
        display: block;
    }
    #frm-create-voucher-batch .tab-content .tab-pane .input-group .input-group-prepend {
        width: 100%;
        display: block;
    }
    #frm-create-voucher-batch .tab-content .tab-pane .input-group .input-group-prepend .input-group-text{
        width: auto;
        border-top-right-radius: 0.25rem;
        border-bottom-right-radius: 0.25rem;
        white-space: unset;
    }
    #frm-create-voucher-batch .tab-content .tab-pane .input-group .input-text.form-control.text-right.ipt-voucher-amount{
        width: 100%;
        margin-top: 5px;
        border-top-left-radius: 0.25rem;
        border-bottom-left-radius: 0.25rem;
    }
    #frm-create-voucher-batch .tab-content .tab-pane .input-group .gj-datepicker.gj-datepicker-bootstrap.gj-unselectable.input-group {
        display: flex;
        margin-top: 5px;
    } 
    #frm-create-voucher-batch .tab-content .tab-pane .input-group .ten-px-width{
        width: 0;
    }
    #frm-create-voucher-batch .tab-content .tab-pane .input-group #total.input-text.form-control.text-right{
        margin-top: 5px;
        border-top-left-radius: 0.25rem;
        border-bottom-left-radius: 0.25rem;
        width: 100%;
    }
}